## dovecot 2.3.4.1

=== debian/changelog ===
dovecot (1:2.3.4.1-5ubuntu3.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2020-109xx/*.patch: add patches provided by
      upstream to fix issues.
    - CVE-2020-10957
    - CVE-2020-10958
    - CVE-2020-10967

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 May 2020 09:32:58 -0400

dovecot (1:2.3.4.1-5ubuntu3) eoan; urgency=medium

  * SECURITY UPDATE: The IMAP protocol parser does not properly handled
    the NUL byte when scanning data in quoted strings, leading to out of
    bounds heap memory writes.
    - debian/patches/CVE-2019-11500-*.patch: doesn't accept strings with
      NULs in src/lib-imap/imap-parser.c and
      pigeonhole/src/lib-managesieve/managesieve-parser.c,
      make sure str_unescape won't be writing past allocated memory
      in src/lib-imap/imap-parser.c and
      pieonhole/src/lig-managesieve/managesieve-parser.c.
    - CVE-2019-11500

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 28 Aug 2019 15:47:43 -0300

dovecot (1:2.3.4.1-5ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Aug 2019 15:45:59 +0000

dovecot (1:2.3.4.1-5ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - carry mail-stack-delivery as empty transitional package
  * Dropped:
    - SECURITY UPDATE: stack overflow when reading FTS or POP3-UIDL header
      + debian/patches/CVE-2019-7524-1.patch: fix buffer overflow when
        reading oversized hdr-pop3-uidl header in
        src/lib-storage/index/index-pop3-uidl.c.
      + debian/patches/CVE-2019-7524-2.patch: fix buffer overflow when
        reading oversized fts header in src/plugins/fts/fts-api.c.
      + CVE-2019-7524
      [Fixed in 1:2.3.4.1-3]
    - SECURITY UPDATE: JSON encoder assert DoS
      + debian/patches/CVE-2019-10691.patch: escape invalid UTF-8 as unicode
        bytes in src/lib/json-parser.c, src/lib/test-json-parser.c.
      + CVE-2019-10691
      [Fixed in 1:2.3.4.1-4]
    - SECURITY UPDATE: submission-login denial of service issues
      + debian/patches/CVE-2019-1149x-1.patch: remove unused
        client->pending_starttls in src/submission-login/client.h.
      + debian/patches/CVE-2019-1149x-2.patch: fix crash occurring when
        client disconnects during authentication in
        src/submission-login/client-authenticate.c,
        src/submission-login/client.c.
      + debian/patches/CVE-2019-1149x-3.patch: fix AUTH response error
        handling so that it stops reading more input in
        src/lib-smtp/smtp-server-cmd-auth.c.
      + CVE-2019-11494
      + CVE-2019-11499
      [Fixed in 1:2.3.4.1-5]

 -- Bryce Harrington <bryce@canonical.com>  Fri, 03 May 2019 12:02:04 -0700

dovecot (1:2.3.4.1-5) unstable; urgency=medium

  * [bd00402] Fix CVE-2019-11494 and CVE-2019-11499 (Closes: #928235)
     - submission-login: fix null pointer dereference when client
       disconnects during authentication (CVE-2019-11494)
     - submission-login: fix assert-crash when receiving an invalid
       authentication message over TLS (CVE-2019-11499)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 29 Apr 2019 23:35:05 +0300

dovecot (1:2.3.4.1-4) unstable; urgency=high

  * [d04d4ba] Fix assert-crash in JSON encoder (CVE-2019-10691)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 18 Apr 2019 10:21:19 +0300

dovecot (1:2.3.4.1-3) unstable; urgency=high

  * [07c9212] Fix two buffer overflows when reading oversized FTS headers
    and/or oversized POP3-UIDL headers (CVE-2019-7524).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 25 Mar 2019 23:06:01 +0200

dovecot (1:2.3.4.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [ac99918] Fix double-free crash in mysql driver
    Fix double closing of the connection in the mysql driver, this should
    fix the crash in the dovecot auth process, taken from upstream.
    (Closes: #918339)

  [ Apollon Oikonomopoulos ]
  * [8a30446] Bump Standards-Version to 4.3.0; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Mar 2019 11:02:39 +0200

dovecot (1:2.3.4.1-1ubuntu3) eoan; urgency=medium

  * SECURITY UPDATE: submission-login denial of service issues
    - debian/patches/CVE-2019-1149x-1.patch: remove unused
      client->pending_starttls in src/submission-login/client.h.
    - debian/patches/CVE-2019-1149x-2.patch: fix crash occurring when
      client disconnects during authentication in
      src/submission-login/client-authenticate.c,
      src/submission-login/client.c.
    - debian/patches/CVE-2019-1149x-3.patch: fix AUTH response error
      handling so that it stops reading more input in
      src/lib-smtp/smtp-server-cmd-auth.c.
    - CVE-2019-11494
    - CVE-2019-11499

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Apr 2019 13:44:05 -0400

dovecot (1:2.3.4.1-1ubuntu2.1) disco-security; urgency=medium

  * SECURITY UPDATE: JSON encoder assert DoS
    - debian/patches/CVE-2019-10691.patch: escape invalid UTF-8 as unicode
      bytes in src/lib/json-parser.c, src/lib/test-json-parser.c.
    - CVE-2019-10691

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Apr 2019 12:35:06 -0400

dovecot (1:2.3.4.1-1ubuntu2) disco; urgency=medium

  * SECURITY UPDATE: stack overflow when reading FTS or POP3-UIDL header
    - debian/patches/CVE-2019-7524-1.patch: fix buffer overflow when
      reading oversized hdr-pop3-uidl header in
      src/lib-storage/index/index-pop3-uidl.c.
    - debian/patches/CVE-2019-7524-2.patch: fix buffer overflow when
      reading oversized fts header in src/plugins/fts/fts-api.c.
    - CVE-2019-7524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 01 Apr 2019 09:02:40 -0400

dovecot (1:2.3.4.1-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1815035). Remaining changes:
    - carry mail-stack-delivery as empty transitional package


