## dovecot 2.3.7.2

=== debian/changelog ===
dovecot (1:2.3.7.2-1ubuntu3.7) focal-security; urgency=medium

  * SECURITY UPDATE: Very large headers can cause resource exhaustion when
    parsing message
    - debian/patches/CVE-2024-23185-pre1.patch: add test_assert_cmp[_idx]()
      in src/lib-test/test-common.c, src/lib-test/test-common.h.
    - debian/patches/CVE-2024-23185-1.patch: limit header block to 10MB by
      default in src/lib-mail/message-header-parser.c,
      src/lib-mail/message-header-parser.h,
      src/lib-mail/test-message-header-parser.c.
    - debian/patches/CVE-2024-23185-2.patch: limit headers total count to
      50MB by default in src/lib-mail/message-parser-private.h,
      src/lib-mail/message-parser.c, src/lib-mail/message-parser.h,
      src/lib-mail/test-message-parser.c.
    - CVE-2024-23185

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Sep 2024 08:08:49 -0400

dovecot (1:2.3.7.2-1ubuntu3.6) focal-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via multiple passdbs
    - debian/patches/CVE-2022-30550.patch: fix handling passdbs with
      identical driver/args but different mechanisms/username_filter in
      src/auth/auth-request.c, src/auth/auth.c, src/auth/auth.h,
      src/auth/passdb.c, src/auth/passdb.h.
    - CVE-2022-30550

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jul 2022 13:17:38 -0400

dovecot (1:2.3.7.2-1ubuntu3.5) focal; urgency=medium

  * d/p/handle-unbounded-mime.patch: Fix crash during deinit when
    searching mails with non-ending MIME boundaries.
    (LP: #1912118)

 -- Bryce Harrington <bryce@canonical.com>  Sun, 11 Apr 2021 13:25:41 -0700

dovecot (1:2.3.7.2-1ubuntu3.4) focal-security; urgency=medium

  * SECURITY UPDATE: plaintext command injection before STARTTLS
    - debian/patches/CVE-2021-33515.patch: properly handle command queue in
      src/lib-smtp/smtp-server-cmd-starttls.c,
      src/lib-smtp/smtp-server-connection.c.
    - CVE-2021-33515

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Jun 2021 09:12:21 -0400

dovecot (1:2.3.7.2-1ubuntu3.3) focal-security; urgency=medium

  * SECURITY UPDATE: information disclosure via imap hibernation
    - debian/patches/CVE-2020-24386-1.patch: escape tag when sending it to
      imap-hibernate process in src/imap/imap-client-hibernate.c.
    - debian/patches/CVE-2020-24386-2.patch: add unit test for
      imap-client-hibernate in src/imap/Makefile.am,
      src/imap/imap-client-hibernate.c, src/imap/imap-client.h,
      src/imap/test-imap-client-hibernate.c.
    - CVE-2020-24386
  * SECURITY UPDATE: remote DoS via large number of MIME parts
    - debian/patches/CVE-2020-25275-1.patch: fix assert-crash when
      enforcing MIME part limit in src/lib-mail/message-parser.c,
      src/lib-mail/test-message-parser.c.
    - debian/patches/CVE-2020-25275-2.patch: don't generate invalid
      BODYSTRUCTURE when reaching MIME part limit in
      src/lib-imap/imap-bodystructure.c.
    - CVE-2020-25275

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Dec 2020 11:04:43 -0500

dovecot (1:2.3.7.2-1ubuntu3.2) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via deeply nested MIME parts
    - debian/patches/CVE-2020-12100/*.patch: backports of upstream patches
      to fix the issue.
    - CVE-2020-12100
  * SECURITY UPDATE: DoS via incorrect NTLM message buffer size
    - debian/patches/CVE-2020-12673/*.patch: check buffer length in
      src/lib-ntlm/ntlm-message.c.
    - CVE-2020-12673
  * SECURITY UPDATE: DoS via zero-length message
    - debian/patches/CVE-2020-12674/*.patch: fail on zero-length buffer in
      src/auth/mech-rpa.c.
    - CVE-2020-12674

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Aug 2020 10:26:17 -0400

dovecot (1:2.3.7.2-1ubuntu3.1) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2020-109xx/*.patch: add patches provided by
      upstream to fix issues.
    - CVE-2020-10957
    - CVE-2020-10958
    - CVE-2020-10967

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 May 2020 09:29:10 -0400

dovecot (1:2.3.7.2-1ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:32 +0100

dovecot (1:2.3.7.2-1ubuntu2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:56:19 +0100

dovecot (1:2.3.7.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - carry mail-stack-delivery as empty transitional package
  * Dropped:
    - SECURITY UPDATE: The IMAP protocol parser does not properly handled
      the NUL byte when scanning data in quoted strings, leading to out of
      bounds heap memory writes.
      + debian/patches/CVE-2019-11500-*.patch: doesn't accept strings with
        NULs in src/lib-imap/imap-parser.c and
        pigeonhole/src/lib-managesieve/managesieve-parser.c,
        make sure str_unescape won't be writing past allocated memory
        in src/lib-imap/imap-parser.c and
        pieonhole/src/lig-managesieve/managesieve-parser.c.
      + CVE-2019-11500
      [Now in upstream for 1:2.3.7.2-1]

 -- Bryce Harrington <bryce@canonical.com>  Wed, 13 Nov 2019 18:50:44 -0800

dovecot (1:2.3.7.2-1) unstable; urgency=medium

  * [dcaf24e] New upstream version 2.3.7.2
    - Fixes CVE-2019-11500 for dovecot-core
  * [111beef] Update pigeonhole to 0.5.7.2
    - Fixes CVE-2019-11500 for pigeonhole/managesieve
  * [a422c4c] Bump Standards-Version to 4.4.0; no changes needed
  * [56e37ed] Bump dh compat to 12; no changes needed.
    - Drop d/compat in favor debhelper-compat B-D.
  * [476edbd] Refresh dovecot_name.patch and ssl-cert-location.patch
  * [9dc7904] Drop patches included in 2.3.7.2.
     - CVE-2019-10691
     - CVE-2019-11494
     - CVE-2019-11499
     - CVE-2019-7524
     - avoid-double-closing-mysql.patch
     - lib-master-test-event-stats-Use-PRIu64-format.patch


