=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.16.1),
@@ -33,7 +33,7 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
 Vcs-Browser: https://salsa.debian.org/debian/dovecot
