## dovecot 2.3.7.2-1ubuntu3.2+9.0trisquel1

=== debian/changelog ===
dovecot (1:2.3.7.2-1ubuntu3.2+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Nov 2020 22:36:56 +0000
