## dovecot 2.3.11.3+dfsg1

=== debian/changelog ===
dovecot (1:2.3.11.3+dfsg1-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * [44770f6] Add patch for 32bit compiler warnings
  * [053865a] Lintian: remove unused override
  * [4ece2e1] Lintian: add forwarded header to Debian specific patches
  * [67872b7] Lintian: ignore Debian only man page
  * [d30bd7e] Lintian: tag manpage-without-executable got renamed to
    spare-manual-page
  * [3bdf952] Limit libcap-dev build-dependency to linux-any
  * [28f6425] Drop acute accent in man page
  * [8c15850] Add patch allowing GSSAPI containing NULL

 -- Noah Meyerhans <noahm@debian.org>  Wed, 19 Aug 2020 12:06:07 -0700

dovecot (1:2.3.11.3+dfsg1-1) unstable; urgency=high

  * New upstream release fixes security issues (Closes: #968302)
    - CVE-2020-12100 - Receiving mail with deeply nested MIME parts leads to
      resource exhaustion as Dovecot attempts to parse it.
    - CVE-2020-12673 - Dovecot's NTLM implementation does not correctly check
      message buffer size, which leads to reading past allocation which can
      lead to crash.
    - CVE-2020-12674 - Dovecot's RPA mechanism implementation accepts
      zero-length message, which leads to assert-crash later on.
  * Add libcap-dev to build-dependencies to support dropping linux
    capabilities.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 13 Aug 2020 16:21:24 -0700

dovecot (1:2.3.10.1+dfsg1-2) unstable; urgency=medium

  * Support sd_notify with systemd (Closes: #951722)
  * Add necessary CFLAGS and LDFLAGS settings to ensure functional backtrace
    generation.  (Closes: #962630)
  * Suppress additional library-not-linked-against-libc lintian warnings some
    plugins as false-positives, observed on armel systems

  [ Andreas Hasenack ]
  * d/t/control, d/t/testmails: cherry-pick updated autopkgtests from
    Ubuntu's 1:2.2.35-2ubuntu1:
    - d/t/testmails: dropped the hardcoded "Ubuntu" name from the banner
      text and made it distribution agnostic
    - d/t/control: added lsb-release to test dependencies, used to get the
      distribution name

 -- Noah Meyerhans <noahm@debian.org>  Tue, 16 Jun 2020 08:29:02 -0700

dovecot (1:2.3.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release addresses multiple security issues
    - CVE-2020-10957
    - CVE-2020-10958
    - CVE-2020-10967
    (Closes: #960963)
  * Refresh patches
  * Strip non-DFSG-compliant docs from .orig archives
  * Incorporate a number of improvements to debian/ metadata contributed by
    Christian Göttsche <cgzones@googlemail.com>
  * Move pid file to /run (Closes: #925443)
  * Add noahm@debian.org to Uploaders
  * Work around flakiness in autopkgtest suite
  * Suppress library-not-linked-against-libc lintian warnings some plugins as
    false-positives

 -- Noah Meyerhans <noahm@debian.org>  Wed, 10 Jun 2020 10:41:37 -0700
