=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
+Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
-           Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper-compat (= 12),
+           Apollon Oikonomopoulos <apoikos@debian.org>,
+           Noah Meyerhans <noahm@debian.org>
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
-               dh-exec,
-               dpkg-dev (>= 1.16.1),
                krb5-multidev,
                libapparmor-dev,
                libbz2-dev,
-               libclucene-dev (>= 2.3),
+               libcap-dev [linux-any],
+               libclucene-dev,
                libdb-dev,
-               libicu-dev,
                libexpat-dev,
                libexttextcat-dev,
+               libicu-dev,
                libldap2-dev,
+               liblua5.3-dev,
                liblz4-dev,
                liblzma-dev,
-               liblua5.3-dev,
                libpam0g-dev,
                libpq-dev,
                libsasl2-dev,
@@ -33,19 +32,21 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.0
-Homepage: http://dovecot.org/
+Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
+Homepage: https://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
 Vcs-Browser: https://salsa.debian.org/debian/dovecot
 
 Package: dovecot-core
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
-         libpam-runtime (>= 0.76-13.1),
+         libpam-runtime,
          lsb-base,
          openssl,
          ssl-cert,
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: dovecot-gssapi,
@@ -92,7 +93,7 @@
 Package: dovecot-imapd
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: ufw
@@ -109,7 +110,7 @@
 Package: dovecot-pop3d
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: ufw
@@ -126,7 +127,7 @@
 Package: dovecot-lmtpd
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: dovecot-common (<< 1:2.0.14-2~)
@@ -144,7 +145,7 @@
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
          dovecot-sieve (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: dovecot-common (<< 1:2.0.14-2~)
@@ -197,7 +198,7 @@
 Package: dovecot-ldap
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: dovecot-core (<< 1:2.2.26.0-1~)
@@ -226,7 +227,7 @@
 Package: dovecot-sieve
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dovecot-core (<= 1:2.2.13-6), dovecot-imapd (<< 1:2.2.26.0-1~)
@@ -267,7 +268,7 @@
 Package: dovecot-submissiond
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
-         ucf (>= 2.0020),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: dovecot-submission (<< 1:2.3.1-2~)
@@ -284,10 +285,12 @@
 
 Package: dovecot-auth-lua
 Architecture: any
-Depends: dovecot-core (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: secure POP3/IMAP server - Lua authentication plugin
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
  that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package contains an authentication plugin allowing password and user
