=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,13 @@
 # LP: 1636781 - strip incompatible default linker option
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
   export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
+
+# Ensure that stacktrace generation works:
+export DEB_LDFLAGS_MAINT_APPEND = -rdynamic
+include /usr/share/dpkg/architecture.mk
+ifneq ($(filter armel armhf, $(DEB_HOST_ARCH)),)
+  export DEB_CFLAGS_MAINT_APPEND = -funwind-tables
 endif
 
 # Macros to help move files to the module packages
@@ -79,7 +86,7 @@
 	dh $@
 
 override_dh_autoreconf:
-	dh_autoreconf -- debian/autogen.sh
+	dh_autoreconf debian/autogen.sh
 
 override_dh_auto_configure:
 	KRB5CONFIG=krb5-config.mit dh_auto_configure -- \
@@ -103,14 +110,19 @@
 	            --libexecdir=\$${prefix}/lib \
 		    --docdir=\$${prefix}/share/doc/dovecot-core \
 	            --with-moduledir=\$${prefix}/lib/dovecot/modules \
+		    --with-rundir=/run/dovecot \
 	            --disable-rpath \
 	            --with-systemdsystemunitdir=/lib/systemd/system \
 	            --disable-static
+	
 	$(MAKE) dovecot-config
+	# remove unreproducible '-ffile-prefix-map=/build/1st/dovecot-2.3.10.1+dfsg1=.'
+	#                       '-fdebug-prefix-map=/build/dovecot-O55xqn/dovecot-2.3.10.1+dfsg1=.'
+	sed -i 's/\s\+-ffile-prefix-map=\S\+=.\s\+/ /g' dovecot-config
+	sed -i 's/\s\+-fdebug-prefix-map=\S\+=.\s\+/ /g' dovecot-config
 	
 	# Pigeonhole
 	touch $(PIGEONHOLE_DIR)/stamp.h.in
-	chmod +x $(PIGEONHOLE_DIR)/configure
 	dh_auto_configure -D $(PIGEONHOLE_DIR) -- \
 	        --with-dovecot=../ \
 	        --libdir=\$${prefix}/lib \
@@ -121,8 +133,8 @@
 	# Remove all-settings.c and let it be re-generated from the (patched)
 	# component settings files.
 	rm -f src/config/all-settings.c
-	dh_auto_build --parallel
-	dh_auto_build --parallel -D $(PIGEONHOLE_DIR)
+	dh_auto_build
+	dh_auto_build -D $(PIGEONHOLE_DIR)
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -179,9 +191,6 @@
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdovecot:ABI-Version=$(shell cat $(CURDIR)/debian/dovecot-dev/usr/share/dovecot/dovecot-abi)
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='dovecot-dbg (<< 1:2.2.32-2~)'
-
 override_dh_makeshlibs:
 	# Do not add an ldconfig trigger; none of the dovecot shared libraries
 	# are public.
@@ -191,10 +200,3 @@
 	dh_installdocs
 	cp pigeonhole/README	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.README
 	cp pigeonhole/NEWS	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.NEWS
-
-.PHONY: override_dh_auto_configure override_dh_auto_build \
-	override_dh_auto_clean override_dh_auto_install \
-	override_dh_gencontrol override_dh_installinit \
-	override_dh_strip override_dh_installpam \
-	override_dh_makeshlibs override_dh_installdocs \
-	override_dh_install override_dh_systemd_enable
