=== debian/watch ===
# watch control file for uscan
version=4
# core
opts="pgpmode=auto, dversionmangle=s/\+dfsg//, oversionmangle=s/\+dfsg\d*$//" \
	https://dovecot.org/releases/2.3/dovecot-([\.0-9]+)\.tar\.gz debian
# pigeonhole
opts="pgpmode=auto, dversionmangle=s/\+dfsg//, oversionmangle=s/\+dfsg\d*$//, component=pigeonhole" \
	https://pigeonhole.dovecot.org/releases/2.3/dovecot-[\.0-9]+-pigeonhole-([\.0-9]+)\.tar\.gz ignore uupdate
