=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                krb5-multidev,
-               libapparmor-dev,
+               libapparmor-dev [linux-any],
                libbz2-dev,
                libcap-dev [linux-any],
                libclucene-dev,
@@ -29,10 +29,11 @@
                libssl-dev,
                libstemmer-dev,
                libwrap0-dev,
+               libzstd-dev,
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: binary-targets
 Homepage: https://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
@@ -293,4 +294,3 @@
  mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
  fast, extensible, and portable.
  .
- This package contains an authentication plugin allowing password and user
