=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 include /usr/share/dpkg/architecture.mk
 ifneq ($(filter armel armhf, $(DEB_HOST_ARCH)),)
   export DEB_CFLAGS_MAINT_APPEND = -funwind-tables
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+  CONFIGURE_APPARMOR = --with-apparmor
 endif
 
 # Macros to help move files to the module packages
@@ -102,7 +106,7 @@
 		    --with-icu \
 	            --with-libwrap \
 	            --with-lucene \
-		    --with-apparmor \
+		    $(CONFIGURE_APPARMOR) \
 		    --with-lz4 \
 		    --with-lua=plugin \
 		    --with-sodium \
